/***********************************************************************
 *      This example program is an excerpt from the book:              *
 *                                                                     *
 *          X Window OSF/Motif Toolkit Programming (I)                 *
 *            - Programming Basics, Resource and Event -               *
 *                                                                     *
 *      Copyright 1994, Hideyuki Hayashi                               *
 *                                                                     *
 *      This program can be distributed without fee, provided          *
 *      that the above copyright notice appear in all copies.          *
 ***********************************************************************/

#include <Xm/XmAll.h>

char **CopyArgv(argc, argv)
    int    argc;
    char **argv;
{
    int    i;
    char **argv2;

    /* Allocate space for the number of 'argc' pointers */
    argv2 = (char **) XtMalloc(sizeof(char *) * argc);
    if (argv2 == NULL)  /* if memory allocation fails, */
        return (NULL);  /* return NULL */

    for (i = 0; i < argc; i++)
        argv2[i] = argv[i];  /* Copy pointer of the arg strings */

    return (argv2);
}
